# Class CIM_LogicalElement
extends CIM_ManagedSystemElement

CIM_LogicalElement is a base class for all the components of a System that represent abstract system components, such as Files, Processes, or LogicalDevices.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement

## Direct Known Subclasses

CIM_AccessControlInformation
CIM_AdministrativeDistance
CIM_AuthenticationRequirement
CIM_BGPAttributes
CIM_BGPPathAttributes
CIM_BGPRouteMap
CIM_DynamicForwardingEntry
CIM_EnabledLogicalElement
CIM_FilterEntryBase
CIM_FilterList
CIM_Job
CIM_LogicalFile
CIM_NextHopRouting
CIM_OSPFAreaConfiguration
CIM_PrinterElement
CIM_RedundancyGroup
CIM_ResourcePool
CIM_RoutingPolicy
CIM_SoftwareElement
CIM_SoftwareFeature
CIM_SoftwareIdentity
CIM_StaticForwardingEntry
CIM_StoragePool
CIM_UnitOfWorkDefinition
CIM_UnixFile

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Description | string | CIM_LogicalElement is a base class for all the components of a System that represent abstract system components, such as Files, Processes, or LogicalDevices.
UMLPackagePath | string | CIM::Core::CoreElements
Version | string | 2.6.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Status | string | CIM_ManagedSystemElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods